Name:           ocaml-google-drive-ocamlfuse
Version:        0.7.32
Release:        1%{?dist}
Summary:        FUSE filesystem over Google Drive

License:        MIT
URL:            https://github.com/astrada/google-drive-ocamlfuse
Source0:        %{url}/archive/refs/tags/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  ocaml-dune
BuildRequires:  ocaml-tiny-httpd-devel
BuildRequires:  ocaml-ocamlfuse-devel
BuildRequires:  ocaml-gapi-ocaml-devel
BuildRequires:  ocaml-camlidl-devel
BuildRequires:  ocaml-sqlite-devel
BuildRequires:  ocaml-extlib-devel
BuildRequires:  ocaml-camlp-streams-devel
BuildRequires:  ocaml-seq-devel

%description
Google-drive-ocamlfuse is a FUSE filesystem for Google Drive, written in OCaml.
It lets you mount your Google Drive on Linux.

%package        devel
Summary:        Development files for %{name}
%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n google-drive-ocamlfuse-%{version}

%build
%dune_build

%install
%dune_install

%files -f .ofiles
%license 
%files devel -f .ofiles-devel

%changelog
* Tue Jul 16 2024 Marian Koncek <mkoncek@redhat.com> - 0.7.32-1
- Initial build
